town_tutorial = {}

__inherite(town_tutorial, null_lua_widget_handler())

town_tutorial._draw_mask = nil
town_tutorial._pos = sf.misc.FloatVector(0,0)

function town_tutorial.__CreateInstance()
    return "town_tutorial"
end

function town_tutorial.Load(_this, _info, _templates)
	return true
end

function town_tutorial.ShowMask(_id, _pos)
	town_tutorial._pos = _pos
	town_tutorial._draw_mask = sf.core.g_Application.GetResourceManager().GetTexture(_id)
end

function town_tutorial.DoUpdate(_this)
	return false
end

function town_tutorial.DoDraw(_this, _renderer)
	if town_tutorial._draw_mask then
		s11.misc.RenderBorderedImage(_renderer, town_tutorial._draw_mask, town_tutorial._pos.X, town_tutorial._pos.Y, sf.graphics.Color(town_window._first_buy_mask_alpha, 0, 0, 0), nil)
	end
    return false
end

function town_tutorial.OnMouseMove(_this, _pos, _state, _broadcast)
    return false
end

function town_tutorial.OnMouseUp(_this, _pos, _button, _state, _broadcast)
    return false
end

function town_tutorial.OnMouseDown(_this, _pos, _button, _state, _broadcast)
    return false
end

function town_tutorial.OnDoubleClick(_this, _pos, _state, _broadcast)
    return true
end